GET /openapi/memorylake/api/v3/boundaries
所需权限:
boundary:read —— 您打不开的行不会出现在列表里,列表本身不会被拒绝查询参数
string
required
工作空间 ID
integer
default:"20"
每页返回的 Boundary 数,取值 1 到 100。
string
上一次调用返回的分页令牌。首次请求时省略此参数。
string
按 Boundary 名称模糊搜索。
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/boundaries?workspace_id=ws-8001856949ad4f6a5b6226f415ffa877&page_size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/boundaries?workspace_id=ws-8001856949ad4f6a5b6226f415ffa877&name_fuzzy=alice' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
{
"success": true,
"data": {
"items": [
{
"id": "bnd-5e8a2c71d94f4b3a8e6d0c2b7f1a9e34",
"custom_id": "user-ext-001",
"workspace_id": "ws-8001856949ad4f6a5b6226f415ffa877",
"name": "Alice Chen - Support Assistant",
"project_ids": ["proj-b93e8d95a8705bcc4ec42a65ba4cc7f8"],
"human_actor_id": "actor-8d093c0578ffeb19f8fa10ea28ee9362",
"agent_id": "agent-f8bf71ab17ed8eccad8c0e8ae708273f",
"created_at": "2026-09-14T03:22:10Z",
"updated_at": "2026-09-14T03:22:10Z"
},
{
"id": "bnd-1c7f3e9a0b2d4c6e8f1a3b5d7e9c2f40",
"workspace_id": "ws-8001856949ad4f6a5b6226f415ffa877",
"name": "Team knowledge base",
"created_at": "2026-08-02T10:05:47Z",
"updated_at": "2026-08-02T10:05:47Z"
}
],
"continuation_token": "eyJsYXN0X2lkIjoiYm5kLTFjN2YzZTlhMGIyZDRjNmU4ZjFhM2I1ZDdlOWMyZjQwIn0"
}
}